function varargout = false(varargin)
%FALSE Convert 'false' to a logical value.
%  Makes use of 'false' as a logical value backwards compatible with 6.1.
%
%I/O:  [trueval] = []

%Copyright  Eigenvector Research, Inc. 1998-2005
%Licensee shall not re-compile, translate or convert "M-files" contained
% in PLS_Toolbox for use with any software other than MATLAB, without
% written permission from Eigenvector Research, Inc.
%sk 01/13/2004
%jms 3/19/04  -return appropriately sized matrix if given input of size

if exist('false')==5;  %if false is a built-in funciton, use it
  varargout{1} = builtin('false', varargin{:});
else
  if nargin==0;
    varargin = {1};
  end    
  varargout{1} = logical(zeros(varargin{:}));
end
